<template>
    <div>
        <h2>User page</h2>
        <p v-for="user in users" :key="user.id">
            <router-link :to="{ 
                name : 'UserSingle',
                params:{id: user.id}
                }">
                {{ user.id }} {{ user.name}}
            </router-link>
        </p>
    </div>
</template>

<script>
    export default {
        data(){
            return{
                users:[
                    {
                        id:1,
                        name:'Jhon',
                    },
                    {
                        id:2,
                        name:'Jim',
                    },
                    {
                        id:3,
                        name:'Joo',
                    },
                    {
                        id:4,
                        name:'Elon',
                    },
                    {
                        id:5,
                        name:'Kim',
                    }
                ]
            }
        }
        
    }
</script>